package com.simuwang.base.mapper;

import com.simuwang.base.pojo.dos.EmailParseInfoDO;
import com.simuwang.base.pojo.dto.EmailInfoDTO;
import com.simuwang.base.pojo.dto.query.EmailParseQuery;
import com.simuwang.base.pojo.vo.EmailParseInfoVO;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.Date;
import java.util.List;

@Mapper
public interface EmailParseInfoMapper {

    Integer insert(@Param("itemDo") EmailParseInfoDO emailParseInfoDO);

    void updateParseStatus(@Param("id") Integer id, @Param("parseStatus") int parseStatus);

    List<EmailParseInfoVO> searchEmailList(EmailParseQuery emailParseQuery);

    EmailParseInfoVO searchEmailById(@Param("id") Integer id);

    Integer searchEmailCount(@Param("parseDate") String parseDate, @Param("parseStatus")Integer parseStatus);

    EmailParseInfoDO queryById(@Param("id") Integer id);

    long countEmailList(EmailParseQuery emailParseQuery);

    void updateParseTime(@Param("id") Integer id, @Param("parseDate") Date parseDate);

    List<EmailInfoDTO> queryValuationEmailByFileId(@Param("fileIdList") List<Integer> fileIdList);
}
